Abyss Web Server For Linux User's Guide
Prev |  | Next

# Appendix A. Command Line Parameters

Abyss Web Server command line parameters are as follows:

abyssws [-h] [-c `configuration file`] [-p `console port`] [--stop] [--restart] [--allow-root] [-r] [--daemon] [-d]

- `-h`: Display the command line parameters help.

- `-c`: Specify an alternate configuration file. If the file does not exist, it is created and filled with the default options values.

- `-p`: Specify an alternate console port. It overrides the console port value in the configuration file.

- `--stop`: Send a stop signal to the currently running instance of Abyss Web Server.

- `--restart`: Send a restart signal to the currently running instance of Abyss Web Server.

- `-r` or `--allow-root`: Allow the server's execution under root privileges. See the "User Option" appendix for more information.

- `-d` or `--daemon`: Run the server as a daemon. Abyss Web Server is executed in the background and no messages are displayed on the terminal.

Prev | Home | Next
Glossary |  | Startup Configuration

Copyright © 2001-2013 Aprelium